pfSense - Bug #7010

Problem Syncing IP Aliases on Localhost on HA cluster
12/13/2016 12:57 PM - Chris Linstruth

Status: Resolved Start date: 12/13/2016
Priority: Normal Due date:
Assignee: Jim Pingle % Done: 100%
Category: Virtual IPs Estimated time: 0.00 hour
Target version: 2.3.3
Affected Version: 232 Affected

Architecture:

Description
IP Alias VIPs can be added to Localhost on primary node and are properly XMLRPC synced to secondary's configuration.

However, the alias VIPs are not properly added to the 100 interface on secondary. It appears that the only VIP active on the interface
on the secondary is the last one added.

Additionally, if any VIP is edited/saved/applied on primary node all IP alias VIPs on localhost are removed from secondary 100.

Rebooting secondary results in all VIPs being properly added to 100.

Associated revisions

Revision 5fda51cd - 12/13/2016 01:25 PM - Jim Pingle
Check for lo0 when reconfiguring VIPs on sync. Fixes #7010

Revision 69a991b3 - 12/13/2016 01:31 PM - Jim Pingle

Check for 1o0 when reconfiguring VIPs on sync. Fixes #7010

Revision 228¢f850 - 12/13/2016 01:31 PM - Jim Pingle

Check for lo0 when reconfiguring VIPs on sync. Fixes #7010

History

#1 - 12/13/2016 01:10 PM - Chris Linstruth

Steps to reproduce:

Create HA cluster:

Add IP Alias VIP to Localhost on Primary. Save/Apply

Results: IP Alias is properly added to Configuration and lo0 on Secondary

From there: Two paths

Path 1. Just edit/save/apply any VIP on Primary. IP alias is removed from lo0 on Secondary

Path 2: Add another IP Alias VIP to localhost on Primary. Save/Apply. All IP aliases except the one just added are deleted from lo0 on Secondary
Edit/Save/Apply any VIP on primary. All IP Alias VIPs on Secondary's 100 are removed.

At any time the secondary can be rebooted and all configured IP Alias VIPs will be added to 100 there. Until aliases are edited again on primary.
#2 - 12/13/2016 01:30 PM - Jim Pingle
- Status changed from New to Feedback

- % Done changed from 0 to 100

Applied in changeset 5fda51cd2af8a099b89f35439343744dbe981fal.

#3 - 12/13/2016 01:54 PM - Chris Linstruth

Looks good here. Thanks.

#4 - 12/13/2016 01:57 PM - Renato Botelho

- Status changed from Feedback to Resolved
#5 - 02/10/2017 10:35 AM - Jim Pingle

- Assignee set to Jim Pingle

- Target version changed from 2.4.0 to 2.3.3
